"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const path = require("path");
// tslint:disable:no-console
function getProjectDir(program) {
    let projectDir = program.project;
    if (projectDir === undefined) {
        projectDir = process.cwd();
    }
    if (!path.isAbsolute(projectDir)) {
        projectDir = path.join(process.cwd(), projectDir);
    }
    return projectDir;
}
exports.getProjectDir = getProjectDir;
function checkRequiredOption(name, value) {
    if (value === undefined) {
        console.log(`Option --${name} is required.`);
        process.exit(1);
    }
}
exports.checkRequiredOption = checkRequiredOption;
function wrapDebug(debug, func) {
    return func().catch((reason) => {
        if (debug) {
            console.error(reason);
        }
        else {
            console.error(`Error: ${reason.message}.`);
            console.error('To see the stacktrace use option -d.');
        }
    });
}
exports.wrapDebug = wrapDebug;
//# sourceMappingURL=cliUtils.js.map