/// <reference types="node" />
import { Address } from 'ontology-ts-test';
import { Account, SCrypt } from '../config/configTypes';
export declare function decodeAccount(account: Account, password: string, scryptParams: SCrypt): any;
export declare function decryptWithGcm(encrypted: string, address: string, salt: Buffer, keyphrase: string, scryptParams: SCrypt): string;
/**
 * Encrypt with aes-gcm-256
 * This is the default encryption algorithm for private key
 * @param privateKey Private key to encpryt with
 * @param address Adderss to encrypt with
 * @param salt Salt to encrypt with
 * @param keyphrase User's password
 * @param scryptParams Optional params to encrypt
 */
export declare function encryptWithGcm(privateKey: string, address: Address, salt: Buffer, keyphrase: string, scryptParams: SCrypt): string;
